MDL-30300 question behaviours: improve q compatibility API.
[moodle.git] / question / behaviour / upgrade.txt
CommitLineData
75a31c90
TH
1This files describes API changes for question behaviour plugins.
2
3=== 2.2 ===
4
5* The old
6 public static function get_required_behaviours()
7method is no more. Instead use the ->dependencies facility in version.php. E.g.
8$plugin->dependencies = array(
9 'qbehaviour_immediatefeedback' => 2011102700,
10 'qbehaviour_deferredcbm' => 2011102700
11);